use traits::ParallelExecution;

pub struct Serial{
    pub result: i64,
}

impl Serial{
    pub fn new(start_value :i64) -> Serial{
        Serial{result: start_value}
    }
}

impl ParallelExecution for Serial{
    #![allow(unused_variables)]
    fn run(& mut self ,num :i64, num_threads:i32) -> f64{
        let mut sum :f64 = 0 as f64;
        for i in 0..num {
            sum += ((2*i) as f64).sin();
        }
        sum
    }
}